summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/glusterfs_build
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2012-01-25 13:59:36 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2012-02-06 11:09:26 +0530
commit9d36eca70a458c736e44fd8eb9184415ec45f1e6 (patch)
treef996594e813e6e4bce6fe77c31c8fe4758b2647d /sanity/system_light/scripts/glusterfs_build
parent01a77a1ae18d9add01f893e06e58191b065602e8 (diff)
system_light: changes to have modularity in running tests
Till now this script allowed running all the tools (or exit for the first failure). Running individual tools was not possible. Now individual tools can be given as an argument to run. Change-Id: Ia133943667ad4dc30956f4a021f2edfc30458cee Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
Diffstat (limited to 'sanity/system_light/scripts/glusterfs_build')
-rwxr-xr-xsanity/system_light/scripts/glusterfs_build/build_glusterfs.sh48
-rwxr-xr-xsanity/system_light/scripts/glusterfs_build/glusterfs_build.sh14
2 files changed, 62 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/glusterfs_build/build_glusterfs.sh b/sanity/system_light/scripts/glusterfs_build/build_glusterfs.sh
new file mode 100755
index 0000000..a07d0ad
--- /dev/null
+++ b/sanity/system_light/scripts/glusterfs_build/build_glusterfs.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+# This script takes glusterfs tar file, untars it and builds it.
+
+function main ()
+{
+
+ echo "cloning from the git:`date +%T`" >>$LOG_FILE
+ time git clone git://github.com/gluster/glusterfs.git glusterfs.git 2>>$LOG_FILE 1>>$LOG_FILE
+ if [ $? -ne 0 ]; then
+ echo "Cannot clone the git repository"
+ tar -xvf $GLUSTERFS_TAR_FILE
+ mv glusterfs-$GFS_VERSION glusterfs.git
+ fi
+
+ cd $GLUSTERFS_DIR
+
+ echo "running autogen.sh:`date +%T`"
+ time ./autogen.sh 2>>$LOG_FILE 1>>$LOG_FILE
+
+ if [ $? -ne 0 ]; then
+ echo "autogen failed:`date +%T`";
+ return 11;
+ fi
+
+ echo "running configure:`date +%T`"
+ time ./configure 2>>$LOG_FILE 1>>$LOG_FILE
+
+ if [ $? -ne 0 ]; then
+ echo "configure failed:`date +%T`";
+ return 11;
+ fi
+
+
+ echo "running make:`date +%T`"
+ time make -j 32 2>>$LOG_FILE 1>>$LOG_FILE
+
+ if [ $? -ne 0 ]; then
+ echo "make failed:`date +%T`";
+ return 11;
+ else
+ echo "all successful:`date +%T`"
+ return 0;
+ fi
+
+}
+
+main "$@" \ No newline at end of file
diff --git a/sanity/system_light/scripts/glusterfs_build/glusterfs_build.sh b/sanity/system_light/scripts/glusterfs_build/glusterfs_build.sh
new file mode 100755
index 0000000..4a16874
--- /dev/null
+++ b/sanity/system_light/scripts/glusterfs_build/glusterfs_build.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+function main ()
+{
+ $TOOLDIR/build_glusterfs.sh;
+ if [ $? -eq 0 ]; then
+ rm -r $GLUSTERFS_DIR && echo "glusterfs directory removed";
+ return 0;
+ else
+ return 1;
+ fi
+}
+
+main "$@" \ No newline at end of file